
				include "Commands.s"

; *******************************************************************************************************************************
;
; This file starts at "PathData - $b100"
;
; *******************************************************************************************************************************
BoomPathAddress:
				dw		BoomPath			; First

ScrollStart		db		0; $a0			; TILE index in. (char index = tile*3)


;-----------------------------------------------------------------------------
; Master Control Path
;-----------------------------------------------------------------------------
StartPathData:
				; Stop the scrolling backgrounds
				Scroll	0


				; Simple right to left slowish baddies - easy to shoot.
				PAUSE   150
				START	 Simple_RL,  Baddie1,  330, 100, KILLCLIP
				PAUSE   50
				START	 Simple_RL,  Baddie1,  330, 160, KILLCLIP
				PAUSE   40
				START	 Simple_RL,  Baddie1,  330, 50, KILLCLIP
				PAUSE   32
				START	 Simple_RL,  Baddie1,  330, 90, KILLCLIP|FIRE
				PAUSE   20
				START	 Simple_RL,  Baddie1,  330, 25, KILLCLIP
				PAUSE   10
				START	 Simple_RL,  Baddie1,  330, 140, KILLCLIP
				PAUSE   5
				START	 Simple_RL,  Baddie1,  330, 40, KILLCLIP
				PAUSE   5
				START	 Simple_RL,  Baddie1,  330, 90, KILLCLIP|FIRE
				
				; restart the scrolling backgrounds
				PAUSE   30
				Scroll	1
				PAUSE   30


				; 2 joining waves - kill them both for a BIG coin.
				RESETGROUP  0, 8
				PFOR 3
					START	 Zig_Zag_Path1,  Baddie2,  330+2, 29, GROUP
					START	 Zig_Zag_Path2,  Baddie2,  330, 169, GROUP
					PAUSE   10
				PNEXT
				START	 Zig_Zag_Path1,  Baddie2,  330+2, 29, GROUP|FIRE
				START	 Zig_Zag_Path2,  Baddie2,  330, 169, GROUP
				PAUSE   10


	
				; These baddies come on in and move down through a gap in the scenery.
				; There are multiple paths to allow for different distances they need to move
				; depending on when they start. (Theres a few ways you could do this)
				PAUSE   111
				START	Path3_1,  Baddie1,  330, 50, 0
				PAUSE	12
				START	Path3_2,  Baddie1,  330, 50, 0
				PAUSE   12
				START	Path3_3,  Baddie1,  330, 50, 0
				PAUSE   12
				START	Path3_4,  Baddie1,  330, 50, 0
				PAUSE   12
				START	Path3_5,  Baddie1,  330, 50, 0
				PAUSE   12
				START	Path3_6,  Baddie1,  330, 50, 0



				Pause	100
				START	 Path2,  Baddie1,  210, 0, 0
				Pause	10				   
				START	 Path2_1,  Baddie1,  190, 200, 0
				Pause	10
				START	 Path2_1,  Baddie1,  290, 200, 0
				Pause	10
				START	 Path2,  Baddie1,  250, 0, 0
				Pause	10



				Pause	40
				RESETGROUP  0, 6
				PFOR	6
					START	SideU,  Baddie2,  330, 30, GROUP
				Pause	10
				PNEXT



				
				Pause	90
				START	Reverse_1,  Baddie1,  0, 104, 0
				Pause	30
				PFOR	4
					START	ZShape_1,  Baddie1,  330, 50, 0
					START	ZShape_2,  Baddie1,  330, 150, 0
					Pause	7
				PNEXT



				Pause	120
				PFOR	4
					START	Diag_1,  Baddie1,  300, 0, 0
					START	Diag_2,  Baddie1,  300, 200, 0
					Pause	10
				PNEXT




				Pause	80
				PFOR	4
					START	Diag2_1,  Baddie1,  0, 104-8, 0
					START	Diag2_2,  Baddie1,  0, 120-8, 0
					Pause	10
				PNEXT


				Pause	80
				PFOR	4
					START	Diag3_1,  Baddie1,  160, 0, 0
					START	Diag3_2,  Baddie1,  160, 200, 0
					Pause	10
				PNEXT


				Pause	80
				START	Simple_RL_Fast,  Baddie1,  330, 104-8, 0
				Pause	3
				START	Simple_RL_Fast,  Baddie1,  330, 104-16-8, 0
				START	Simple_RL_Fast,  Baddie1,  330, 104+16-8, 0
				Pause	3
				START	Simple_RL_Fast,  Baddie1,  330, 104-32-8, 0
				START	Simple_RL_Fast,  Baddie1,  330, 104+32-8, 0
				Pause	3
				START	Simple_RL_Fast,  Baddie1,  330, 104-48-8, 0
				START	Simple_RL_Fast,  Baddie1,  330, 104+48-8, 0
				Pause	3
				START	Simple_RL_Fast,  Baddie1,  330, 104-64-8, 0
				START	Simple_RL_Fast,  Baddie1,  330, 104+64-8, 0



				; Vertical
				Pause	60-10
				START	Vertical1_1,  Baddie1,  200, 0, 0
				Pause	7
				START	Vertical1_1,  Baddie1,  200-9, 0, 0
				Pause	7
				START	Vertical1_1,  Baddie1,  200-9-9, 0, 0
				Pause	7
				START	Vertical1_1,  Baddie1,  200-9-9-9, 0, 0
				Pause	7
				START	Vertical1_1,  Baddie1,  200-9-9-9-9, 0, 0
				Pause	7
				START	Vertical1_1,  Baddie1,  200-9-9-9-9-9, 0, 0



				; First generic SINE wave baddie. Also the 1st set needing 2 hits.
				Pause	80
				RESETGROUP  0, 7
				PFOR	9
					START	SIN_WAVE1,  Baddie3,  330, 64, 0
					Pause	10
				PNEXT





				Pause	70-22
				START	Vertical2_1,  Baddie3,  250-9, 200, 0
				Pause	7
				START	Vertical2_1,  Baddie3,  250-(9*2), 200, 0
				Pause	7
				START	Vertical2_1,  Baddie3,  250-(9*3), 200, 0
				Pause	7
				START	Vertical2_1,  Baddie3,  250-(9*4), 200, 0
				Pause	7
				START	Vertical2_1,  Baddie3,  250-(9*5), 200, 0
				Pause	7
				START	Vertical2_1,  Baddie3,  250-(9*6), 200, 0
				Pause	7
				START	Vertical2_1,  Baddie3,  250-(9*7), 200, 0
				Pause	7
				START	Vertical2_1,  Baddie3,  250-(9*8), 200, 0



				Pause	100-16
				PFOR	4
					START	CrossOverX_Top,  Baddie1,  330, 60, 0
					PAUSE	2
					START	CrossOverX_Bottom,  Baddie1,  330, 150, 0
					PAUSE	4
				PNEXT


				Pause	50
				START	Waiting_Top,  Baddie4,  323+8, 88-5, 0
				PAUSE	16
				START	Waiting_Bottom,  Baddie4,  323+8+8, 88+24+5, 0

				



				Pause	100
				START	 Path2,  Baddie1,  210, 0, 0
				Pause	10
				START	 Path2_1,  Baddie1,  190, 200, 0
				Pause	10
				START	 Path2_1,  Baddie1,  290, 200, 0
				Pause	10
				START	 Path2,  Baddie1,  250, 0, 0
				Pause	10
				START	 Path2,  Baddie1,  300, 0, 0
				START	 Path2_1,  Baddie1,  300, 200, 0



				; Straight column, hard to kill baddies
				; Align them to character heights to speed up rendering
				Pause	100
				START	Simple_RL,  Baddie5,  320+(4*8), 48, 0
				START	Simple_RL,  Baddie5,  320+(4*7), 48+(16*1), 0
				START	Simple_RL,  Baddie5,  320+(4*6), 48+(16*2), 0
				START	Simple_RL,  Baddie5,  320+(4*5), 48+(16*3), 0
				START	Simple_RL,  Baddie5,  320+(4*4), 48+(16*4), 0
				START	Simple_RL,  Baddie5,  320+(4*3), 48+(16*5), 0
				START	Simple_RL,  Baddie5,  320+(4*2), 48+(16*6), 0
				START	Simple_RL,  Baddie5,  320+(4*1), 48+(16*7), 0



				; Random Baddies through the minefield
				PAUSE   100
				PFOR	3
				START	 Simple_RL,  Baddie5,  330, 100, KILLCLIP
				PAUSE   10
				START	 Simple_RL,  Baddie5,  330, 160, KILLCLIP
				PAUSE   5
				START	 Simple_RL,  Baddie5,  330, 50, KILLCLIP
				PAUSE   10
				START	 Simple_RL,  Baddie5,  330, 90, KILLCLIP
				PAUSE   5
				START	 Simple_RL,  Baddie5,  330, 140, KILLCLIP
				PAUSE   20
				START	 Simple_RL,  Baddie5,  330, 70, KILLCLIP
				PAUSE   10
				START	 Simple_RL,  Baddie5,  330, 40, KILLCLIP
				PAUSE   10
				START	 Simple_RL,  Baddie5,  330, 25, KILLCLIP
				PAUSE	5
				START	 Simple_RL,  Baddie5,  330, 100, KILLCLIP
				PAUSE   10
				START	 Simple_RL,  Baddie5,  330, 60, KILLCLIP
				PAUSE   10
				START	 Simple_RL,  Baddie5,  330, 150, KILLCLIP
				PAUSE	5
				PNEXT

				PAUSE	50
				START	FanOut1,  Baddie5,  330, 100, KILLCLIP
				PAUSE   10
				START	Simple_RL,  Baddie5,  330, 100, KILLCLIP
				PAUSE   10
				START	FanOut2,  Baddie5,  330, 100, KILLCLIP
				PAUSE   10
				START	Simple_RL,  Baddie5,  330, 100, KILLCLIP
				PAUSE   10
				START	FanOut1_2,  Baddie5,  330, 100, KILLCLIP
				PAUSE   10
				START	Simple_RL,  Baddie5,  330, 100, KILLCLIP
				PAUSE   10
				START	FanOut2_2,  Baddie5,  330, 100, KILLCLIP



				PAUSE	70
				 

				; First generic SINE wave baddie. Also the 1st set needing 2 hits.
				RESETGROUP  0, 7
				PFOR	7
					START	SIN_WAVE1,  Baddie3_2,  330, 100, GROUP|KILLCLIP
					Pause	10
				PNEXT


				PAUSE	50

				PFOR	2
				START	Drop_1,  Baddie3,  160, 0, KILLCLIP
				PAUSE   10
				START	Drop_1,  Baddie3,  200, 0, KILLCLIP
				PAUSE   10
				START	Drop_1,  Baddie3,  90, 0, KILLCLIP
				PAUSE   10
				START	Drop_1,  Baddie3,  260, 0, KILLCLIP
				PAUSE   10
				START	Drop_1,  Baddie3,  140, 0, KILLCLIP
				PAUSE   10
				START	Drop_1,  Baddie3,  290, 0, KILLCLIP
				PAUSE   10
				START	Drop_1,  Baddie3,  50, 0, KILLCLIP
				PAUSE   10
				PNEXT


				Pause	50
				START	Simple_RL_Fast,  Baddie1,  330, 104-8, 0
				Pause	3
				START	Simple_RL_Fast,  Baddie1,  330, 104-16-8, 0
				START	Simple_RL_Fast,  Baddie1,  330, 104+16-8, 0
				Pause	3
				START	Simple_RL_Fast,  Baddie1,  330, 104-32-8, 0
				START	Simple_RL_Fast,  Baddie1,  330, 104+32-8, 0
				Pause	3
				START	Simple_RL_Fast,  Baddie1,  330, 104-48-8, 0
				START	Simple_RL_Fast,  Baddie1,  330, 104+48-8, 0
				Pause	3
				START	Simple_RL_Fast,  Baddie1,  330, 104-64-8, 0
				START	Simple_RL_Fast,  Baddie1,  330, 104+64-8, 0


				Pause	50-5
				PFOR 5
					START	Reverse_2,  Baddie1,  0, 104, KILLCLIP
					Pause 10
				PNext


				Pause	80
				PFOR 8
					START	DropDown_Then_RL,  Baddie1,  280, KILLCLIP
				Pause	6
				PNext
		


				Pause	40
				PFOR	3
					START	 Simple_RL,  Baddie5,  330, 100, KILLCLIP
					PAUSE   10
					START	 Simple_RL,  Baddie5,  330, 160, KILLCLIP
					PAUSE   5
					START	 Simple_RL,  Baddie5,  330, 50, KILLCLIP
					PAUSE   10
					START	 Simple_RL,  Baddie5,  330, 90, KILLCLIP
					PAUSE   5
					START	 Simple_RL,  Baddie5,  330, 140, KILLCLIP
					PAUSE   20
					START	 Simple_RL,  Baddie5,  330, 70, KILLCLIP
					PAUSE   10
					START	 Simple_RL,  Baddie5,  330, 40, KILLCLIP
					PAUSE   10
					START	 Simple_RL,  Baddie5,  330, 25, KILLCLIP
					PAUSE	5
					START	 Simple_RL,  Baddie5,  330, 100, KILLCLIP
					PAUSE   10
					START	 Simple_RL,  Baddie5,  330, 60, KILLCLIP
					PAUSE   10
					START	 Simple_RL,  Baddie5,  330, 150, KILLCLIP
					PAUSE	5
				PNEXT


				;Pause 181
				Pause 101

				START	 BossPath,  BossBaddie,  330, 100, Fire



				;db		PATH_RESTART_GAME

InfLoop:
				PAUSE	250	
				GOTO	InfLoop                ; End of path data



;-----------------------------------------------------------------------------
; Explosion stuff!!
;-----------------------------------------------------------------------------
BoomPath:		DRIFT		0				; cancel any drift
				SetFlags	NOCOLLISION
				SETANIM		BoomAnim		; set animation
BossBoom:
				PAUSE		1+6*2			; wait for animation to finish
				KILLSPRITE




;
; UNshootable Sprite turrets
;
BossPath2:
		MoveLoop	117+77+3,-1,0				; Wait until we're on screen
InfLoop3
		Pause	250
		Goto	InfLoop3




;
; BOSS path!
;
BossPath:
		START	 BossPath2,  BossTurret,  330, 30, Fire|Child
		START	 BossPath2,  BossTurret,  329, 170, Fire|Child
		Pause 77


		MoveLoop	117,-1,0				; Wait until we're on screen
		CLEARFLAGS	NOSHOOT					; You can now shoot the boss
BossAlmostDeadPath:
InfLoop2
			Pause	10
			Start	Fire1Path, BossMissile, 218,100, KillClip|Fire
			Pause	10
			Start	Fire2Path, BossMissile, 218,100, KillClip|Fire
			Pause	10
			Start	Fire3Path, BossMissile, 218,100, KillClip|Fire
			Pause	10
			Start	Fire2Path, BossMissile, 218,100, KillClip|Fire
		Goto	InfLoop2



Fire1Path:
	MoveLoop	200, -6,1
	KillSprite
Fire2Path:
	MoveLoop	200, -6,0
	KillSprite
Fire3Path:
	MoveLoop	200, -6,-1
	KillSprite


;
; Dead boss explosions!
;
BossDeadPath:  
		SetAnim		BossAnim
		PFor	6
			Start		BossBoom, BossBoomAnim, 218-10,100-8, 0
			Pause	2
			Start		BossBoom, BossBoomAnim, 218,100+9, 0
			Pause	2
			Start		BossBoom, BossBoomAnim, 218+4,100-5, 0
			Pause	2
			Start		BossBoom, BossBoomAnim, 218-9,100+3, 0
			Pause	2
		PNext
		SetAnim	  BoomAnim
		Pause	1+6*2
		db		PATH_RESTART_GAME			; and restart!





;-----------------------------------------------------------------------------
; Drops down to the middle then shoots along...
;-----------------------------------------------------------------------------
DropDown_Then_RL
		DRIFT	-1
		MoveLoop	25,	0,4
		MoveLoop	80,	-6,0
		KILLSPRITE



;-----------------------------------------------------------------------------
; tear drops...
;-----------------------------------------------------------------------------
Drop_1:
		DRIFT	-1
		Move	0,1
		Move	0,1
		Move	0,2
		Move	0,2
		Move	0,2
		MoveLoop	4,	0,3
		MoveLoop	5,	0,4
		MoveLoop	6,	0,5
		MoveLoop	200, 0,6
		KILLSPRITE


;-----------------------------------------------------------------------------
; Moves through the narrow opening and then fans out.
;-----------------------------------------------------------------------------
FanOut1_2:
		MoveLoop	15, -4,0
FanOut1:	
		MoveLoop	20, -4,0
		MoveLoop	10, -4,-4
		MoveLoop	60, -4,0
		KILLSPRITE

FanOut2_2:
		MoveLoop	 20, -4,0
FanOut2:	
		MoveLoop	 25, -4,0
		MoveLoop	 10, -4,4
		MoveLoop 	 60, -4,0
		KILLSPRITE




;-----------------------------------------------------------------------------
; A simple Right to Left path.
;-----------------------------------------------------------------------------
Simple_RL:	
		MoveLoop	85,  -4,0
		KILLSPRITE


;-----------------------------------------------------------------------------
; A simple (faster) Right to Left path.
;-----------------------------------------------------------------------------
Simple_RL_Fast:	
 		MoveLoop	65,  -6,0
		KILLSPRITE


;-----------------------------------------------------------------------------
; A simple SINE wave
;-----------------------------------------------------------------------------
SIN_WAVE1
		DRIFT	-4
		Circle  25,25, 0,0, 0,4, 90
		KILLSPRITE


;-----------------------------------------------------------------------------
; Top and bottom cross over
;-----------------------------------------------------------------------------
Waiting_Top
		DRIFT	-1,0
		PAUSE	100
		MoveLoop	16,	0,-2
		MoveLoop	50,	-5,0
		KILLSPRITE


Waiting_Bottom
		DRIFT	-1,0
		PAUSE	100
		MoveLoop	16,	0,2
		MoveLoop	50,	-5,0
		KILLSPRITE

;-----------------------------------------------------------------------------
; Top and bottom cross over
;-----------------------------------------------------------------------------
CrossOverX_Top:
		Pause	2
		MoveLoop	40,	-4,0

		Move	-4,1
		Move	-4,2
		Move	-4,3
		
		MoveLoop	20,	-4,4

		Move	-4,3
		Move	-4,2
		Move	-4,1
		
		MoveLoop	30,	-4,0
		KILLSPRITE



CrossOverX_Bottom:
		MoveLoop	40,	-4,0

		Move	-4,-1
		Move	-4,-2
		Move	-4,-3

		MoveLoop	20,-4,-4

		Move	-4,-3
		Move	-4,-2
		Move	-4,-1
		
		MoveLoop	30,	-4,0										  
		KILLSPRITE

;-----------------------------------------------------------------------------
; Vertical from the ground
;-----------------------------------------------------------------------------
Vertical2_1:
		MoveLoop	10, 0,-3

		Circle  40,30, 128,128, 4,4, 16
		Circle  40,40, 64,64, -4,-4, 32
		
		MoveLoop	50, -5,0
		KILLSPRITE


;-----------------------------------------------------------------------------
; Vertical drop
;-----------------------------------------------------------------------------
Vertical1_1:
		DRIFT	-1
		MoveLoop  	37, 0,3
		MoveLoop	15, -2,0
		MoveLoop	18, 0,3
		MoveLoop	15, 3,0
		MoveLoop	20, 0,3
		KILLSPRITE

;-----------------------------------------------------------------------------
; Diagonally down to the middle (from top and bottom) then straight back
;-----------------------------------------------------------------------------
Diag3_1	PNOP
		MoveLoop	30, 4,3
		MoveLoop	60, 4,0
		KILLSPRITE

Diag3_2
		MoveLoop	30, 4,-3
		MoveLoop	60, 4,0
		KILLSPRITE


;-----------------------------------------------------------------------------
; Diagonally down to the middle (from top and bottom) then straight back
;-----------------------------------------------------------------------------
Diag2_1	PNOP
		MoveLoop	20, 4,0
		MoveLoop 	30, 4,-3
		KILLSPRITE

Diag2_2
		MoveLoop	 20, 4,0
		MoveLoop 	30, 4,3
		KILLSPRITE


;-----------------------------------------------------------------------------
; Diagonally down to the middle (from top and bottom) then straight back
;-----------------------------------------------------------------------------
Diag_1	PNOP
		MoveLoop	30,	-4,3
		MoveLoop	60, -4,0
		KILLSPRITE

Diag_2
		MoveLoop	30, -4,-3
		MoveLoop	60, -4,0
		KILLSPRITE

;-----------------------------------------------------------------------------
; One from behind, and more from the front
;-----------------------------------------------------------------------------
Reverse_1:
		MoveLoop	4, 4,0
		PAUSE 20
		Move 1,0
		Move 2,0
		Move 3,0
Reverse_2:
		MoveLoop	90, 4,0
		KILLSPRITE

ZShape_1:
		MoveLoop	20, -4,0
		MoveLoop	10,-4,-2
		MoveLoop	60,-4,0
		KILLSPRITE

ZShape_2:
		MoveLoop	20,-4,0
		MoveLoop	10,-4,2
		MoveLoop	60,-4,0
		KILLSPRITE

;-----------------------------------------------------------------------------
; RL->DOWN->RL
;-----------------------------------------------------------------------------
Path2:
		MoveLoop	25, 0,2
		MoveLoop	90, -4,0
		KILLSPRITE

;-----------------------------------------------------------------------------
; RL->DOWN->RL
;-----------------------------------------------------------------------------
Path2_1:
		MoveLoop	25,0,-2
		MoveLoop	90, -4,0
		KILLSPRITE

;-----------------------------------------------------------------------------
; RL->DOWN->RL
;-----------------------------------------------------------------------------
Path3_1:
		DRIFT	-1
		MoveLoop	8, -3,0
Path3_Main:
		MoveLoop	32, 0,3
		MoveLoop	70, -4,0
		KILLSPRITE

Path3_2:
		DRIFT	-1
		MoveLoop 7+5, -3,0
		GOTO	Path3_Main

Path3_3:
		DRIFT	-1
		MoveLoop	7+5+4, -3,0
		GOTO	Path3_Main

Path3_4:
		PNOP
		DRIFT	-1
		MoveLoop	7+5+5+4,-3,0
		GOTO	Path3_Main

Path3_5:
		PNOP
		DRIFT	-1
		MoveLoop	7+5+5+4+4,-3,0
		GOTO	Path3_Main

Path3_6:
		DRIFT	-1
		MoveLoop	 7+5+5+4+5+4,-3,0
		GOTO	Path3_Main

;-----------------------------------------------------------------------------
; Zig_Zag
;-----------------------------------------------------------------------------
Zig_Zag_Path1:
        MoveLoop	50, -3,0
        MoveLoop	20,	3,3
        MoveLoop	80, -3,0
		KILLSPRITE



Zig_Zag_Path2:
        MoveLoop	50, -3,0
        MoveLoop	20, 3,-3
        MoveLoop	80, -3,0
		KILLSPRITE



;-----------------------------------------------------------------------------
; Side on U
;-----------------------------------------------------------------------------
SideU:
		MoveLoop	30, -4,0
		Circle	70,70,   -64,-64,   -4,-4,   32
		MoveLoop	30, 4,0
		KILLSPRITE


;-----------------------------------------------------------------------------
; Coin/Pickup falling path
;-----------------------------------------------------------------------------
FallingPath_BigCoin:
				DRIFT		-1				; cancel any drift
				PLAYSOUND	1				; play BOOM
				SETANIM		BoomAnim		; set animation
				PAUSE		1+6*2			; wait for animation to finish
				SETANIM		CoinBigAnim		; set animation
MoveCoinOffScreen:
				Move	0,-6
				Move	0,-5
				MOVE	0,-4				; Move up
				MOVE	0,-3				; the ever decreasing numbers simulates simple
				MoveLoop	2, 0,-2			; gravity as the coin rises then falls...
				MoveLoop	3, 0,-1				
				MOVE	0,0				
				MoveLoop	3, 0,1
				MoveLoop	2, 0,2
				MOVE	0,3
				MOVE	0,4				
				MOVE	0,5				
				MoveLoop	50, 0,6				; Go a max of 5 pixels so it doesn't get too quick
				KILLSPRITE


FallingPath_SmallCoin:
				DRIFT		-1				; cancel any drift
				PLAYSOUND	1				; play BOOM
				SETANIM		BoomAnim		; set animation
				PAUSE		1+6*2			; wait for animation to finish
				SETANIM		CoinSmallAnim	; set animation
				Goto		MoveCoinOffScreen


;-----------------------------------------------------------------------------
Baddie1		db	0						; Flags
			db	TYPE_ALIEN				; type
			dw	Baddie1Anim				; Animation
			db	4,4						; center offset/2
			db	3,3						; radius/2
			db	0						; hits
			db	10						; Master FIRE counter
			db  $00,$10					; 10 points
			dw	FallingPath_SmallCoin	; Death Path   - usually "BOOMPATH"
			dw	SmallCoinBaddie			; Death Struct - usually "BOOMINFO"

Baddie2		db	0						; Flags
			db	TYPE_ALIEN				; type
			dw	Baddie1Anim				; Animation
			db	4,4						; center offset/2
			db	3,3						; radius/2
			db	0						; hits
			db	10						; Master FIRE counter
			db  $00,$10					; 10 points
			dw	FallingPath_BigCoin		; Death Path   - usually "BOOMPATH"
			dw	BigCoinBaddie			; Death Struct - usually "BOOMINFO"

Baddie3		db	0						; Flags
			db	TYPE_ALIEN				; type
			dw	Baddie1Anim				; Animation
			db	4,4						; center offset/2
			db	3,3						; radius/2
			db	1						; hits
			db	10						; Master FIRE counter
			db  $00,$20					; 10 points
			dw	FallingPath_SmallCoin	; Death Path   - usually "BOOMPATH"
			dw	SmallCoinBaddie			; Death Struct - usually "BOOMINFO"

Baddie3_2	db	0						; Flags
			db	TYPE_ALIEN				; type
			dw	Baddie1Anim				; Animation
			db	4,4						; center offset/2
			db	3,3						; radius/2
			db	1						; hits
			db	10						; Master FIRE counter
			db  $00,$20					; 10 points
			dw	FallingPath_SmallCoin	; Death Path   - usually "BOOMPATH"
			dw	BigCoinBaddie			; Death Struct - usually "BOOMINFO"

Baddie4		db	0						; Flags
			db	TYPE_ALIEN				; type
			dw	BossAnim				; Animation
			db	4,4						; center offset/2
			db	3,3						; radius/2
			db	2						; hits
			db	10						; Master FIRE counter
			db  $00,$40					; 10 points
			dw	FallingPath_SmallCoin	; Death Path   - usually "BOOMPATH"
			dw	SmallCoinBaddie			; Death Struct - usually "BOOMINFO"


Baddie5		db	0						; Flags
			db	TYPE_ALIEN				; type
			dw	BossAnim				; Animation (use a static anim to show he's BAD!)
			db	4,4						; center offset/2
			db	3,3						; radius/2
			db	4						; hits
			db	10						; Master FIRE counter
			db  $00,$40					; 10 points
			dw	FallingPath_SmallCoin	; Death Path   - usually "BOOMPATH"
			dw	SmallCoinBaddie			; Death Struct - usually "BOOMINFO"




; ------------------------------------------------
; BOSS objects!
; ------------------------------------------------
BossBaddie	db	NOSHOOT					; Flags
			db	TYPE_ALIEN				; type
			dw	BossAnim				; Animation
			db	4,4						; center offset/2
			db	2,2						; radius/2
			db	10						; hits
			db	10						; Master FIRE counter
			db  $15,$43					; 10 points
			dw	BossAlmostDeadPath		; Death Path   - usually "BOOMPATH"
			dw	AlmostDeadBoss			; Death Struct - usually "BOOMINFO"

AlmostDeadBoss:
			db	0						; Flags
			db	TYPE_ALIEN				; type
			dw	Baddie1Anim				; Animation
			db	4,4						; center offset/2
			db	3,3						; radius/2
			db	10						; hits
			db	6						; Master FIRE counter
			db  0,0						; 10 points
			dw	BossDeadPath  			; Death Path   - usually "BOOMPATH"
			dw	DeadBoss				; Death Struct - usually "BOOMINFO"

DeadBoss:
			db	NOCOLLISION				; Flags
			db	TYPE_ALIEN				; type
			dw	BossAnim				; Animation
			db	0,0						; center offset/2
			db	0,0						; radius/2
			db	0						; hits
			db	0						; Master FIRE counter
			db  0,0						; 10 points
			dw	0						; Death Path   - usually "BOOMPATH"
			dw	0						; Death Struct - usually "BOOMINFO"

BossBoomAnim:
			db	NOCOLLISION				; Flags
			db	TYPE_ALIEN				; type
			dw	BoomAnim				; Animation
			db	0,0						; center offset/2
			db	0,0						; radius/2
			db	0						; hits
			db	0						; Master FIRE counter
			db  0,0						; 10 points
			dw	0						; Death Path   - usually "BOOMPATH"
			dw	0						; Death Struct - usually "BOOMINFO"

BossTurret	db	NOSHOOT					; Flags
			db	TYPE_ALIEN				; type
			dw	BossAnim				; Animation
			db	4,4						; center offset/2
			db	3,3						; radius/2
			db	10						; hits
			db	20						; Master FIRE counter
			db  $15,$43					; 10 points
			dw	0						; Death Path   - usually "BOOMPATH"
			dw	0						; Death Struct - usually "BOOMINFO"



BossMissile	db	0						; Flags
			db	TYPE_ALIEN				; type
			dw	Baddie1Anim				; Animation
			db	4,4						; center offset/2
			db	3,3						; radius/2
			db	0						; hits
			db	10						; Master FIRE counter
			db  $00,$03					; 10 points
			dw	0						; Death Path   - usually "BOOMPATH"
			dw	0						; Death Struct - usually "BOOMINFO"

			


; ------------------------------------------------
; Pickups
; ------------------------------------------------
SmallCoinBaddie
Baddie12	db	KillClip|NOSHOOT		; Flags
			db	TYPE_SMALLCOIN			; type
			dw	CoinSmallAnim			; Animation
			db	4,4						; center offset/2
			db	0,0						; radius/2
			db	1						; hits
			db	0						; Master FIRE counter
			db  $00,$10					; 10 points
			dw	0						; Death Path   - usually "BOOMPATH"
			dw	0						; Death Struct - usually "BOOMINFO"

BigCoinBaddie:
Baddie13	db	KillClip|NOSHOOT		; Flags
			db	TYPE_BIGCOIN			; type
			dw	CoinBigAnim				; Animation
			db	4,4						; center offset/2
			db	0,0						; radius/2
			db	1						; hits
			db	0						; Master FIRE counter
			db  $00,$10					; 10 points
			dw	0						; Death Path   - usually "BOOMPATH"
			dw	0						; Death Struct - usually "BOOMINFO"



;-----------------------------------------------------------------------------
; Animation Data
;
; Delay, frames,.....-1
;
;-----------------------------------------------------------------------------
BoomAnim:				db	2,5,6,7,8,9,10,11,12
CoinSmallAnim			db	2,45,46,47,48,-1
CoinBigAnim				db	2,49,50,51,52,-1
Baddie1Anim				db	2, 72,73,74,75,76,75,74,73,-1
BossAnim				db	2, 74,-1






KILLSPRITEData
		Message	"PathData Size = ",(KILLSPRITEData-StartPathData)

			end